<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.2//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile12.dtd">

<%--
 =================================================================
  Licensed Materials - Property of IBM

  WebSphere Commerce

  (C) Copyright IBM Corp. 2014 All Rights Reserved.

  US Government Users Restricted Rights - Use, duplication or
  disclosure restricted by GSA ADP Schedule Contract with
  IBM Corp.
 =================================================================
--%>
<%--
 *---------------------------------------------------------------------
 * The sample contained herein is provided to you "AS IS".
 *
 * It is furnished by IBM as a simple example and has not been
 * thoroughly tested
 * under all conditions.  IBM, therefore, cannot guarantee its
 * reliability, serviceability or functionality.
 *
 * This sample may include the names of individuals, companies, brands
 * and products in order to illustrate concepts as completely as
 * possible.  All of these names
 * are fictitious and any similarity to the names and addresses used by
 * actual persons
 * or business enterprises is entirely coincidental.
 *---------------------------------------------------------------------
--%>

<%--
  *****
  * This JSP displays the users account page.
  *****
--%>

<!-- BEGIN LanguageCurrencyDisplay.jsp -->

<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://commerce.ibm.com/base" prefix="wcbase" %>
<%@ taglib uri="http://commerce.ibm.com/foundation" prefix="wcf" %>

<%@ include file="../Common/EnvironmentSetup.jspf" %>

<wcf:getData type="com.ibm.commerce.infrastructure.facade.datatypes.ConfigurationType"
	var="currentStoreLanguages"
	expressionBuilder="findByUniqueID">
	<wcf:param name="uniqueId" value="com.ibm.commerce.foundation.supportedLanguages" />
	<wcf:contextData name="storeId" data="${storeId}"/>
</wcf:getData>
<c:set var="supportedLanguages" value="${currentStoreLanguages.configurationAttribute}"/>

<wcf:getData type="com.ibm.commerce.infrastructure.facade.datatypes.ConfigurationType"
	var="currentStoreDefaultLanguage"
	expressionBuilder="findByUniqueID">
	<wcf:param name="uniqueId" value="com.ibm.commerce.foundation.defaultLanguage" />
	<wcf:contextData name="storeId" data="${storeId}"/>
</wcf:getData>

<c:forEach var="additionalValue" items="${currentStoreDefaultLanguage.configurationAttribute[0].additionalValue}">
	<c:if test="${additionalValue.name == 'languageId'}">
		<c:set var="storeDefaultLangId" value="${additionalValue.value}"/>
	</c:if>
</c:forEach>

<wcf:getData type="com.ibm.commerce.infrastructure.facade.datatypes.ConfigurationType"
	var="currentStoreCurrencies"
	expressionBuilder="findByUniqueID">
	<wcf:param name="uniqueId" value="com.ibm.commerce.foundation.supportedCurrencies" />
	<wcf:contextData name="storeId" data="${storeId}"/>
</wcf:getData>
<c:set var="supportedCurrencies" value="${currentStoreCurrencies.configurationAttribute}"/>

<wcf:getData type="com.ibm.commerce.infrastructure.facade.datatypes.ConfigurationType"
	var="currentStoreDefaultCurrency"
	expressionBuilder="findByUniqueID">
	<wcf:param name="uniqueId" value="com.ibm.commerce.foundation.defaultCurrency" />
	<wcf:contextData name="storeId" data="${storeId}"/>
</wcf:getData>

<c:forEach var="additionalValue" items="${currentStoreDefaultCurrency.configurationAttribute[0].additionalValue}">
	<c:if test="${additionalValue.name == 'currencyCode'}">
		<c:set var="storeDefaultCurrency" value="${additionalValue.value}"/>
	</c:if>
</c:forEach>

<c:forEach var="dbLanguage" items="${sdb.languageDataBeans}">
	<c:if test="${langId == dbLanguage.languageId}">
		<c:set var="env_languageString" value="${dbLanguage.nativeDescriptionString}"/>
	</c:if>
</c:forEach>

<wcf:url var="iOSMorePageURL" value="iOSMorePageView">
	<wcf:param name="langId" value="${langId}" />
	<wcf:param name="storeId" value="${WCParam.storeId}" />
	<wcf:param name="catalogId" value="${WCParam.catalogId}" />
</wcf:url>

<c:set var="languageCurrencyDisplayPage" value="true" scope="request" />
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.2//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile12.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="${shortLocale}" xml:lang="${shortLocale}">
	<head>
		<title><fmt:message key="LC_LANGUAGE_CURRENCY" bundle="${storeText}"/></title>
		<meta http-equiv="content-type" content="application/xhtml+xml" />
		<meta http-equiv="cache-control" content="max-age=300" />
		<meta name="viewport" content="${viewport}" />
		<%@ include file="../mobile30/include/CommonAssetsForHeader.jspf" %>
	</head>
	<body>
		<div id="wrapper" class="ios" role="main">
			<div id="masthead">
				<div class="header_container">
					<div class="header_button right"><a tabindex="0" href="javascript:document.getElementById('SetLanguageCurrencyPreferenceForm').submit();"><fmt:message bundle="${storeText}" key="LC_APPLY"/></a></div>
					<div class="header_button left"><a id="prev_page_button" href="${fn:escapeXml(iOSMorePageURL)}"><fmt:message key="MO_MORE_TITLE" bundle="${storeText}"/></a></div>
					<div id="header_pg_title" class="button_adjacent"><fmt:message key="LC_LANGUAGE_CURRENCY" bundle="${storeText}"/></div>
				</div>
			</div>
			<div class="ios">
				<div class="selector">
					<span class="option_name"><fmt:message bundle="${storeText}" key="LC_LANGUAGE"/>&nbsp;</span>
					<label for="languageSelection" class="nodisplay"><fmt:message bundle="${storeText}" key="LC_LANGUAGE"/></label>
					<select id="languageSelection" name="langId" onchange="javascript:document.getElementById('languageSelectionHidden').value=this.value">
						<c:forEach var="supportedLanguage" items="${supportedLanguages}">
							<c:forEach var="additionalValue" items="${supportedLanguage.additionalValue}">
								<c:if test="${additionalValue.name == 'languageId'}">
									<c:set var="currentLanguageId" value="${additionalValue.value}"/>
								</c:if>
							</c:forEach>
							<c:forEach var="dbLanguage" items="${sdb.languageDataBeans}">
								<c:if test="${currentLanguageId == dbLanguage.languageId}">
									<c:set var="currentLanguageString" value="${dbLanguage.nativeDescriptionString}"/>
								</c:if>
							</c:forEach>
							<c:choose>
								<c:when test="${currentLanguageId == CommandContext.languageId}">
									<option value='<c:out value="${currentLanguageId}" escapeXml="false"/>' selected="selected"><c:out value="${currentLanguageString}" escapeXml="false"/></option>
								</c:when>
								<c:otherwise>
									<option value='<c:out value="${currentLanguageId}" escapeXml="false"/>'><c:out value="${currentLanguageString}" escapeXml="false"/></option>
								</c:otherwise>
							</c:choose>
						</c:forEach>
					</select>
				</div>
				<div class="selector">
					<span class="option_name"><fmt:message bundle="${storeText}" key="LC_CURRENCY"/>&nbsp;</span>
					<label for="currencySelection" class="nodisplay"><fmt:message bundle="${storeText}" key="LC_CURRENCY"/></label>
					<select id="currencySelection" name="currency" onchange="javascript:document.getElementById('currencySelectionHidden').value=this.value">
						<c:forEach var="supportedCurrency" items="${supportedCurrencies}">
							<c:forEach var="additionalValue" items="${supportedCurrency.additionalValue}">
								<c:if test="${additionalValue.name == 'currencyCode'}">
									<c:set var="currentCurrencyCode" value="${additionalValue.value}"/>
								</c:if>
							</c:forEach>
							<c:choose>
								<c:when test="${currentCurrencyCode == CommandContext.currency}">
									<option value='<c:out value="${currentCurrencyCode}" escapeXml="false"/>' selected="selected"><c:out value="${supportedCurrency.primaryValue.value}" escapeXml="false"/></option>
								</c:when>
								<c:otherwise>
									<option value='<c:out value="${currentCurrencyCode}" escapeXml="false"/>'><c:out value="${supportedCurrency.primaryValue.value}"  escapeXml="false"/></option>
								</c:otherwise>
							</c:choose>
						</c:forEach>
					</select>
				</div>
				<form id="SetLanguageCurrencyPreferenceForm" action="${env_contextAndServletPath}/SetCurrencyPreference" method="post">
					<input type="hidden" name="storeId" value="<c:out value="${storeId}"/>"/>
					<input type="hidden" name="catalogId" value="<c:out value="${catalogId}"/>"/>
					<input type="hidden" id="languageSelectionHidden" name="langId" value="<c:out value="${langId}"/>"/>
					<input type="hidden" id="currencySelectionHidden" name="currency" value="${env_currencyCode}"/>
					<c:set var="reLaunchURL" value="${env_contextAndServletPath}${requestScope['javax.servlet.forward.path_info']}"/>
					<c:choose>
						<c:when test="${WCParam.URL != null && WCParam.URL!=''}" >
							<input type="hidden" name="URL" value="<c:out value="${reLaunchURL}" />?URL=<c:out value="${WCParam.URL}"/>?currency*=" id="WC_SidebarDisplay_FormInput_URL_1"/>
						</c:when>
						<c:otherwise>
							<input type="hidden" name="URL" value="<c:out value="${reLaunchURL}" />?currency*=" id="WC_SidebarDisplay_FormInput_URL_2"/>
						</c:otherwise>
					</c:choose>
					<c:forEach var="aParam" items="${WCParamValues}" varStatus="paramStatus">
						<c:forEach var="aValue" items="${aParam.value}"  varStatus="paramNumStatus">
							<c:if test="${aParam.key !='langId' && aParam.key !='logonPassword' && aParam.key !='URL' && aParam.key !='currency' && aParam.key !='storeId' && aParam.key !='catalogId'}">
								<input type="hidden" name="<c:out value="${aParam.key}" />" value="<c:out value="${aValue}" />" id="WC_SidebarDisplay_FormInput_parm_<c:out value="${paramStatus.count}" />_<c:out value="${paramNumStatus.count}" />"/>
							</c:if>
						</c:forEach>
					</c:forEach>
				</form>
			</div>
		</div>
	</body>
</html>
