<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.2//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile12.dtd">

<%--
 =================================================================
  Licensed Materials - Property of IBM

  WebSphere Commerce

  (C) Copyright IBM Corp. 2013, 2014 All Rights Reserved.

  US Government Users Restricted Rights - Use, duplication or
  disclosure restricted by GSA ADP Schedule Contract with
  IBM Corp.
 =================================================================
--%>
<%--
 *---------------------------------------------------------------------
 * The sample contained herein is provided to you "AS IS".
 *
 * It is furnished by IBM as a simple example and has not been  
 * thoroughly tested
 * under all conditions.  IBM, therefore, cannot guarantee its 
 * reliability, serviceability or functionality.  
 *
 * This sample may include the names of individuals, companies, brands 
 * and products in order to illustrate concepts as completely as 
 * possible.  All of these names
 * are fictitious and any similarity to the names and addresses used by 
 * actual persons 
 * or business enterprises is entirely coincidental.
 *---------------------------------------------------------------------
--%>

<!-- BEGIN iOSMore.jsp -->

<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://commerce.ibm.com/base" prefix="wcbase" %>
<%@ taglib uri="http://commerce.ibm.com/foundation" prefix="wcf" %>

<%@ include file="../Common/EnvironmentSetup.jspf" %>
<!-- My Account link: AccountDispURL -->
<wcf:url var="AccountDispURL" value="AjaxLogonForm">
	<wcf:param name="langId" value="${langId}" />
	<wcf:param name="storeId" value="${WCParam.storeId}" />
	<wcf:param name="catalogId" value="${WCParam.catalogId}" />
	<wcf:param name="myAcctMain" value="1" />
	<wcf:param name="fromPage" value="iOSMore" />
</wcf:url>

<flow:ifEnabled feature="SOAWishlist">
<!-- Wish List link: WishListDispURL -->
<wcf:url var="WishListDispURL" value="WishListDisplayView">
	<wcf:param name="langId" value="${langId}" />
	<wcf:param name="storeId" value="${WCParam.storeId}" />
	<wcf:param name="catalogId" value="${WCParam.catalogId}" />
	<wcf:param name="fromPage" value="iOSMore" />
</wcf:url>
</flow:ifEnabled>

<wcf:url var="LanguageCurrencyDisplayURL" value="iOSLanguageCurrencyDisplayView">
	<wcf:param name="langId" value="${langId}" />
	<wcf:param name="storeId" value="${WCParam.storeId}" />
	<wcf:param name="catalogId" value="${WCParam.catalogId}" />
	<wcf:param name="fromPage" value="iOSMore" />
</wcf:url>

<c:set var="moreLinkPages" value="ContactUsPage,PrivacyPolicyPage"/>
<wcf:getData type="com.ibm.commerce.pagelayout.facade.datatypes.PageType[]" var="pages" expressionBuilder="getContentPagesByName">
	<c:forEach var="moreLinkPage" items="${moreLinkPages}">
		<wcf:param name="Name" value="${moreLinkPage}"/>
	</c:forEach>
	<wcf:param name="accessProfile" value="IBM_Store_Summary"/>
</wcf:getData>
<c:forEach var="page" items="${pages}">
	<wcf:url var="${page.pageIdentifier.externalIdentifier.name}ViewURL" patternName="StaticPagesPattern" value="GenericStaticContentPageLayoutView">
		<wcf:param name="urlLangId" value="${urlLangId}" />
		<wcf:param name="storeId"   value="${storeId}"  />
		<wcf:param name="catalogId" value="${catalogId}"/>
		<wcf:param name="langId" value="${langId}" />
		<wcf:param name="pageId" value="${page.pageIdentifier.uniqueID }"/>
		<wcf:param name="fromPage" value="iOSMore" />
	</wcf:url>
</c:forEach>

<!-- Store Contact link: storeInfoContactTelephone -->
<wcf:getData type="com.ibm.commerce.infrastructure.facade.datatypes.OnlineStoreType" var="storeInfo" expressionBuilder="findByUniqueID">
   <wcf:param name="storeId" value="${storeId}" />
</wcf:getData>
<c:set var="storeInfoContact" value="${storeInfo.onlineStoreContactInfo[0]}" />		
<c:forEach var="storeInfoContacts" items="${storeInfo.onlineStoreContactInfo}">
   <c:if test="${storeInfoContacts.language == langId}">
	  <c:set var="storeInfoContact" value="${storeInfoContacts}" />		
   </c:if>
</c:forEach>
<c:set var="storeInfoContactTelephone" value="${storeInfoContact.telephone1.value}" />

<!-- Login link: logOnURL -->
<wcf:url var="logOnURL" value="LogonForm">
	<wcf:param name="catalogId" value="${WCParam.catalogId}" />
	<wcf:param name="storeId" value="${WCParam.storeId}" />
	<wcf:param name="langId" value="${langId}" />
	<wcf:param name="myAcctMain" value="1" />
	<wcf:param name="fromPage" value="iOSMore" />
</wcf:url>

<!-- Logoff link: logOffURL -->
<wcf:url var="logOffURL" value="Logoff">
	<wcf:param name="catalogId" value="${WCParam.catalogId}" />
	<wcf:param name="storeId" value="${WCParam.storeId}" />
	<wcf:param name="langId" value="${langId}" />
	<wcf:param name="myAcctMain" value="1" />
	<wcf:param name="URL" value="${env_TopCategoriesDisplayURL}" />
	<wcf:param name="deleteCartCookie" value="true" />
	<wcf:param name="fromPage" value="iOSMore" />
</wcf:url>

<html xmlns="http://www.w3.org/1999/xhtml" lang="${shortLocale}" xml:lang="${shortLocale}">
	<head>
		<title><fmt:message key="MO_MORE_TITLE" bundle="${storeText}"/></title>
		<meta http-equiv="content-type" content="application/xhtml+xml" />
		<meta http-equiv="cache-control" content="max-age=300" />
		<meta name="viewport" content="${viewport}" />
		<%@ include file="../mobile30/include/CommonAssetsForHeader.jspf" %>
	</head>
	<body>
		<div id="wrapper" class="ios" role="main">
			<div id="masthead">
				<div class="header_container">
					<div id="header_pg_title"><fmt:message key="MO_MORE_TITLE" bundle="${storeText}"/></div>
				</div>
			</div>
			<ul id="ios_more_list">
				<c:choose>
					<c:when test="${userType != 'G'}">
					<li class="list_item" ontouchstart="">
						<a class="more_list_link" href="${fn:escapeXml(logOffURL)}">
							<div class="signin_account list_item_text"><fmt:message key="HEADER_SIGN_OUT" bundle="${storeText}"/></div>
						</a>
					</li>
					</c:when>
					<c:otherwise>
					<li class="list_item" ontouchstart="">
						<a class="more_list_link" href="${fn:escapeXml(logOnURL)}">
							<div class="signin_account list_item_text"><fmt:message key="HEADER_SIGN_IN_REGISTER" bundle="${storeText}"/></div>
						</a>
					</li>
					</c:otherwise>
				</c:choose>
				<li class="list_item" ontouchstart="">
					<a class="more_list_link" href="${fn:escapeXml(AccountDispURL)}">
						<div class="account list_item_text"><fmt:message key="MYACCOUNT_TITLE" bundle="${storeText}"/></div>
					</a>
				</li>
				<flow:ifEnabled feature="SOAWishlist">
				<li class="list_item" ontouchstart="">
					<a class="more_list_link" href="${fn:escapeXml(WishListDispURL)}">
						<div class="wishlist list_item_text"><fmt:message key="USER_PANEL_WISHLIST" bundle="${storeText}"/></div>
					</a>
				</li>
				</flow:ifEnabled>
				<li class="list_item" ontouchstart="">
					<a class="more_list_link" href="${fn:escapeXml(LanguageCurrencyDisplayURL)}">
						<div class="lang_curr list_item_text"><fmt:message key="LC_LANGUAGE_CURRENCY" bundle="${storeText}"/></div>
					</a>
				</li>
				<li class="list_item" ontouchstart="">
					<a class="more_list_link" href="${fn:escapeXml(PrivacyPolicyPageViewURL)}">
						<div class="privacy_policy list_item_text"><fmt:message key="FOOTER_PRIVACY_POLICY" bundle="${storeText}"/></div>
					</a>
				</li>
				<li class="list_item" ontouchstart="">
					<a class="more_list_link" href="${fn:escapeXml(ContactUsPageViewURL)}">
						<div class="help list_item_text"><fmt:message key="FOOTER_NAV_CUSTOMER_SERVICE" bundle="${storeText}"/></div>
					</a>
				</li>
				<li class="list_item" ontouchstart="">
					<a class="more_list_link" href="tel://${storeInfoContactTelephone}">
						<div class="phone_number list_item_text"><c:out value="${storeInfoContactTelephone}"/></div>
					</a>
				</li>
			</ul>
			<%@ include file="../mobile30/include/FooterDisplay.jspf" %>         
		</div>
		<%@ include file="../Common/JSPFExtToInclude.jspf"%>
	</body>
</html>

<!-- END iOSMore.jsp -->